# Form implementation generated from reading ui file 'src/eric7/MicroPython/MicroPythonWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_MicroPythonWidget(object):
    def setupUi(self, MicroPythonWidget):
        MicroPythonWidget.setObjectName("MicroPythonWidget")
        MicroPythonWidget.resize(456, 548)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(MicroPythonWidget.sizePolicy().hasHeightForWidth())
        MicroPythonWidget.setSizePolicy(sizePolicy)
        self.verticalLayout = QtWidgets.QVBoxLayout(MicroPythonWidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.deviceIconLabel = QtWidgets.QLabel(parent=MicroPythonWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Fixed, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.deviceIconLabel.sizePolicy().hasHeightForWidth())
        self.deviceIconLabel.setSizePolicy(sizePolicy)
        self.deviceIconLabel.setMinimumSize(QtCore.QSize(48, 48))
        self.deviceIconLabel.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.deviceIconLabel.setObjectName("deviceIconLabel")
        self.horizontalLayout.addWidget(self.deviceIconLabel)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.repopulateButton = QtWidgets.QToolButton(parent=MicroPythonWidget)
        self.repopulateButton.setObjectName("repopulateButton")
        self.gridLayout.addWidget(self.repopulateButton, 0, 1, 1, 1)
        self.menuButton = EricToolButton(parent=MicroPythonWidget)
        self.menuButton.setObjectName("menuButton")
        self.gridLayout.addWidget(self.menuButton, 0, 3, 1, 1)
        self.deviceTypeComboBox = QtWidgets.QComboBox(parent=MicroPythonWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.deviceTypeComboBox.sizePolicy().hasHeightForWidth())
        self.deviceTypeComboBox.setSizePolicy(sizePolicy)
        self.deviceTypeComboBox.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToMinimumContentsLengthWithIcon)
        self.deviceTypeComboBox.setObjectName("deviceTypeComboBox")
        self.gridLayout.addWidget(self.deviceTypeComboBox, 0, 0, 1, 1)
        self.deviceInfoLabel = QtWidgets.QLabel(parent=MicroPythonWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.deviceInfoLabel.sizePolicy().hasHeightForWidth())
        self.deviceInfoLabel.setSizePolicy(sizePolicy)
        self.deviceInfoLabel.setWordWrap(True)
        self.deviceInfoLabel.setObjectName("deviceInfoLabel")
        self.gridLayout.addWidget(self.deviceInfoLabel, 1, 0, 1, 5)
        self.deviceConnectedLed = EricLed(parent=MicroPythonWidget)
        self.deviceConnectedLed.setObjectName("deviceConnectedLed")
        self.gridLayout.addWidget(self.deviceConnectedLed, 0, 4, 1, 1)
        self.webreplConfigButton = QtWidgets.QToolButton(parent=MicroPythonWidget)
        self.webreplConfigButton.setObjectName("webreplConfigButton")
        self.gridLayout.addWidget(self.webreplConfigButton, 0, 2, 1, 1)
        self.horizontalLayout.addLayout(self.gridLayout)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.runButton = QtWidgets.QToolButton(parent=MicroPythonWidget)
        self.runButton.setObjectName("runButton")
        self.horizontalLayout_2.addWidget(self.runButton)
        self.replButton = QtWidgets.QToolButton(parent=MicroPythonWidget)
        self.replButton.setCheckable(True)
        self.replButton.setObjectName("replButton")
        self.horizontalLayout_2.addWidget(self.replButton)
        self.filesButton = QtWidgets.QToolButton(parent=MicroPythonWidget)
        self.filesButton.setCheckable(True)
        self.filesButton.setObjectName("filesButton")
        self.horizontalLayout_2.addWidget(self.filesButton)
        self.chartButton = QtWidgets.QToolButton(parent=MicroPythonWidget)
        self.chartButton.setCheckable(True)
        self.chartButton.setObjectName("chartButton")
        self.horizontalLayout_2.addWidget(self.chartButton)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.connectButton = QtWidgets.QToolButton(parent=MicroPythonWidget)
        self.connectButton.setObjectName("connectButton")
        self.horizontalLayout_2.addWidget(self.connectButton)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.replWidget = MicroPythonReplWidget(parent=MicroPythonWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.replWidget.sizePolicy().hasHeightForWidth())
        self.replWidget.setSizePolicy(sizePolicy)
        self.replWidget.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.replWidget.setObjectName("replWidget")
        self.verticalLayout.addWidget(self.replWidget)

        self.retranslateUi(MicroPythonWidget)
        QtCore.QMetaObject.connectSlotsByName(MicroPythonWidget)
        MicroPythonWidget.setTabOrder(self.deviceTypeComboBox, self.repopulateButton)
        MicroPythonWidget.setTabOrder(self.repopulateButton, self.webreplConfigButton)
        MicroPythonWidget.setTabOrder(self.webreplConfigButton, self.menuButton)
        MicroPythonWidget.setTabOrder(self.menuButton, self.runButton)
        MicroPythonWidget.setTabOrder(self.runButton, self.replButton)
        MicroPythonWidget.setTabOrder(self.replButton, self.filesButton)
        MicroPythonWidget.setTabOrder(self.filesButton, self.chartButton)
        MicroPythonWidget.setTabOrder(self.chartButton, self.connectButton)
        MicroPythonWidget.setTabOrder(self.connectButton, self.replWidget)

    def retranslateUi(self, MicroPythonWidget):
        _translate = QtCore.QCoreApplication.translate
        self.repopulateButton.setToolTip(_translate("MicroPythonWidget", "Press to detect connected devices and repopulate the device selector."))
        self.webreplConfigButton.setToolTip(_translate("MicroPythonWidget", "Press to edit the list of configured WebREPL connections."))
        self.runButton.setToolTip(_translate("MicroPythonWidget", "Press to run the current script on the selected device"))
        self.replButton.setToolTip(_translate("MicroPythonWidget", "Press to open a terminal (REPL) on the selected device"))
        self.filesButton.setToolTip(_translate("MicroPythonWidget", "Press to open a file manager on the selected device"))
        self.chartButton.setToolTip(_translate("MicroPythonWidget", "Press to open a chart window to display data receive from the selected device"))
        self.connectButton.setToolTip(_translate("MicroPythonWidget", "Press to connect the selected device"))
from eric7.EricWidgets.EricLed import EricLed
from eric7.EricWidgets.EricToolButton import EricToolButton
from eric7.MicroPython.MicroPythonReplWidget import MicroPythonReplWidget
